package com.ruoyi.system.mapper.task;

import com.ruoyi.system.domain.task.TkChengyunTask;
import com.ruoyi.system.domain.task.TkChengyunTaskExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TkChengyunTaskMapper {
    long countByExample(TkChengyunTaskExample example);

    int deleteByExample(TkChengyunTaskExample example);

    int deleteByPrimaryKey(String cedeventcode);

    int insert(TkChengyunTask record);

    int insertSelective(TkChengyunTask record);

    List<TkChengyunTask> selectByExampleWithBLOBs(TkChengyunTaskExample example);

    List<TkChengyunTask> selectByExample(TkChengyunTaskExample example);

    TkChengyunTask selectByPrimaryKey(String cedeventcode);

    int updateByExampleSelective(@Param("record") TkChengyunTask record, @Param("example") TkChengyunTaskExample example);

    int updateByExampleWithBLOBs(@Param("record") TkChengyunTask record, @Param("example") TkChengyunTaskExample example);

    int updateByExample(@Param("record") TkChengyunTask record, @Param("example") TkChengyunTaskExample example);

    int updateByPrimaryKeySelective(TkChengyunTask record);

    int updateByPrimaryKeyWithBLOBs(TkChengyunTask record);

    int updateByPrimaryKey(TkChengyunTask record);
}